Summary:	Prebuilt docker images for gitlab-ci-multi-runner
Name:		gitlab-ci-multi-runner-images
Version:	9.5.0
Release:	3
License:	MIT
Group:		Development/Building
Source0:	http://gitlab-ci-multi-runner-downloads.s3.amazonaws.com/v%{version}/docker/prebuilt-x86_64.tar.xz
# Source0-md5:	3e17865359e937955302f73752426cd4
Source1:	http://gitlab-ci-multi-runner-downloads.s3.amazonaws.com/v%{version}/docker/prebuilt-arm.tar.xz
# Source1-md5:	3e566c807f5d9ad654a29e133b3f683d
URL:		https://gitlab.com/gitlab-org/gitlab-ci-multi-runner/tree/master/dockerfiles/build
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		imgdir	/var/lib/gitlab-runner

%description
Prebuilt docker images for gitlab-ci-multi-runner.

%package -n gitlab-ci-multi-runner-image-arm
Summary:	Prebuilt arm docker image for gitlab-ci-multi-runner
Group:		Development/Building

%description -n gitlab-ci-multi-runner-image-arm
Prebuilt arm docker image for gitlab-ci-multi-runner.

%package -n gitlab-ci-multi-runner-image-x86_64
Summary:	Prebuilt arm docker image for gitlab-ci-multi-runner
Group:		Development/Building

%description -n gitlab-ci-multi-runner-image-x86_64
Prebuilt arm docker image for gitlab-ci-multi-runner.

%prep
%setup -qcT

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{imgdir}

cp -p %{SOURCE0} $RPM_BUILD_ROOT%{imgdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{imgdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n gitlab-ci-multi-runner-image-arm
%defattr(644,root,root,755)
%{imgdir}/prebuilt-arm.tar.xz

%files -n gitlab-ci-multi-runner-image-x86_64
%defattr(644,root,root,755)
%{imgdir}/prebuilt-x86_64.tar.xz
%changelog
* Thu Nov 30 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gitlab-ci-multi-runner-images.git;a=log;h=master

* Thu Nov 30 2017 Jan Rękorajski <baggins@pld-linux.org> ebc48c1
- release 3 (by relup.sh)

* Thu Aug 31 2017 Elan Ruusamäe <glen@pld-linux.org> ca2490f
- use properly versioned urls

* Thu Aug 31 2017 Elan Ruusamäe <glen@pld-linux.org> d009562
- update images to be compatible with gitlab 9.5

* Thu Nov 24 2016 Elan Ruusamäe <glen@delfi.ee> 022c9af
- separate prebuilt build images from main package

